#Include "hmg.ch"
#include "common.ch"

* When ITEMSOURCE property is set to a fieldname, 'Value' property 
* uses the physical record number.
* If you set the VALUESOURCE property to a fieldname, its containt is
* returned instead the physical record number.

Function Main() 	

private _state := '.'

	DEFINE WINDOW Form_1	;
		AT 0,0 ;
		WIDTH 400 ;  
		HEIGHT 300 ;
		TITLE "Exemples ComboBox"	;		
		MAIN	 ;      
		ON INIT OpenTables() ;
		ON RELEASE CloseTables()

		
		@ 20, 20 LABEL lab_1 VALUE 'Country'
		@ 50, 20 LABEL lab_2 VALUE 'City'
		
		@ 020, 100 COMBOBOX Combo_1 ;
			ITEMSOURCE country->country	; 
			VALUE 1 ;
			WIDTH 200 HEIGHT 100 ;
			FONT "Arial" SIZE 9 ;
			TOOLTIP "Country" ;
			ON CHANGE Selected_country() 
		
		@ 050, 100 COMBOBOX Combo_2 ;
			ITEMSOURCE city->city ; 
			VALUE 1 ;
			WIDTH 200 HEIGHT 100 ;
			FONT "Arial" SIZE 9 ;
			TOOLTIP "City" 
			
			
	END WINDOW		

	CENTER WINDOW   Form_1

	ACTIVATE WINDOW Form_1

Return

Procedure Opentables()

	Use city Index city New
	set filter to country = _state
	dbgotop()
	
	Use country Index country New
		
Return

Procedure CloseTables()

	dbcloseall()

Return
*:*************************************************
FUNCTION Selected_country ()

_key = Form_1.Combo_1.Value

*msginfo( _key )

select country
go _key
_state = code

select city
set filter to country = _state
dbgotop()

Form_1.Combo_2.Refresh
Form_1.Combo_2.SetFocus

Return

